export declare class SubmissionUrlInformation {
    private static SUBMIT_PREFIX;
    /**
     * Convert url/token from credentials to JSON submission URL
     * @param url credentials URL
     * @param token credentials token
     * @returns JSON submissionURL
     */
    static toJsonReportSubmissionUrl(url: string, token?: string): string;
    /**
     * Converts full submission JSON URL to PlCrashReporter submission URL
     * @param submissionUrl Backtrace Submission URL
     */
    static toPlCrashReporterSubmissionUrl(submissionUrl: string): string;
    /**
     * Converts full submission JSON URL to minidump submission URL
     * @param submissionUrl Backtrace Submission URL
     */
    static toMinidumpSubmissionUrl(submissionUrl: string): string;
    /**
     * Find the universe based on the submission URL
     * @param submissionUrl submission URL - full submission URL to Backtrace.
     * @returns universe name
     */
    static findUniverse(submissionUrl: string): string | undefined;
    static findToken(submissionUrl: string): string | null;
    static changeSubmissionFormat(submissionUrl: string, desiredFormat: 'json' | 'plcrash' | 'minidump'): string;
}
