import { Events } from '../../common/Events';
import { AttributeEvents } from '../../events/AttributeEvents';
import { ReportData } from '../../model/report/ReportData';
import { BacktraceAttributeProvider } from './BacktraceAttributeProvider';
export declare class AttributeManager {
    readonly attributeEvents: Events<AttributeEvents>;
    private readonly _attributeProviders;
    constructor(providers: BacktraceAttributeProvider[]);
    /**
     * Adds attributes to manager cache
     * @param attributes attributes object
     */
    add(attributes: Record<string, unknown> | (() => Record<string, unknown>)): void;
    /**
     * Adds attribute provider to the manager
     * @param attributeProvider
     * @returns
     */
    addProvider(attributeProvider: BacktraceAttributeProvider): void;
    /**
     * Gets client attributes
     * @returns Report attribute - client attributes and annotations
     */
    get(attributeType?: 'scoped' | 'dynamic'): ReportData;
}
