"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportDataBuilder = void 0;
class ReportDataBuilder {
    static build(attributes) {
        const result = { annotations: {}, attributes: {} };
        if (!attributes) {
            return result;
        }
        for (const attributeKey in attributes) {
            const attribute = attributes[attributeKey];
            if (attribute == null) {
                result.attributes[attributeKey] = attribute;
                continue;
            }
            switch (typeof attribute) {
                case 'object': {
                    result.annotations[attributeKey] = attribute;
                    break;
                }
                case 'bigint': {
                    result.attributes[attributeKey] = attribute.toString();
                    break;
                }
                default: {
                    result.attributes[attributeKey] = attribute;
                    break;
                }
            }
        }
        return result;
    }
}
exports.ReportDataBuilder = ReportDataBuilder;
//# sourceMappingURL=ReportDataBuilder.js.map