import { BacktraceDatabaseConfiguration } from '../../model/configuration/BacktraceDatabaseConfiguration';
import { FileSystem } from '../storage';
import { BacktraceDatabaseStorageProvider } from './BacktraceDatabaseStorageProvider';
import { BacktraceDatabaseRecord } from './model/BacktraceDatabaseRecord';
export declare class BacktraceDatabaseFileStorageProvider implements BacktraceDatabaseStorageProvider {
    private readonly _fileSystem;
    private readonly _path;
    private _enabled;
    private readonly RECORD_SUFFIX;
    private constructor();
    /**
     * Create a provider if provided options are valid
     * @param options database configuration
     * @returns database file storage provider
     */
    static createIfValid(fileSystem: FileSystem, options?: BacktraceDatabaseConfiguration): BacktraceDatabaseFileStorageProvider | undefined;
    start(): boolean;
    delete(record: BacktraceDatabaseRecord): boolean;
    add(record: BacktraceDatabaseRecord): boolean;
    get(): Promise<BacktraceDatabaseRecord[]>;
    private unlinkRecord;
    private getRecordPath;
}
