"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleSessionProvider = void 0;
const IdGenerator_1 = require("../../common/IdGenerator");
const TimeHelper_1 = require("../../common/TimeHelper");
class SingleSessionProvider {
    constructor() {
        this.newSession = true;
        this.sessionId = IdGenerator_1.IdGenerator.uuid();
        this._lastActive = 0;
    }
    get lastActive() {
        return this._lastActive;
    }
    afterMetricsSubmission() {
        this._lastActive = TimeHelper_1.TimeHelper.now();
    }
    /**
     * Allow to alway send metrics - in the single session there is no reason
     * to skip sending metrics.
     */
    shouldSend() {
        return true;
    }
}
exports.SingleSessionProvider = SingleSessionProvider;
//# sourceMappingURL=SingleSessionProvider.js.map