import xml2js from 'xml2js';
export declare type TestSuites = {
    testsuite: TestSuite[];
    name?: string;
    time?: number;
    tests?: number;
    failures?: number;
    errors?: number;
    disabled?: number;
};
export declare type TestSuite = {
    testcase: TestCase[];
    name: string;
    tests: number;
    failures?: number;
    errors?: number;
    time?: number;
    disabled?: number;
    skipped?: number;
    timestamp?: string;
    hostname?: string;
    id?: string;
    package?: string;
    properties?: Array<{
        name: string;
        value: string;
    }>;
    "system-out"?: string[];
    "system-err"?: string[];
};
export declare type TestCase = {
    name: string;
    classname: string;
    assertions?: number;
    time?: number;
    status?: string;
    skipped?: Array<{
        message?: string;
    }>;
    error?: Array<{
        message?: string;
        type?: string;
        inner?: string;
    }>;
    failure?: Array<{
        message?: string;
        type?: string;
        inner?: string;
    }>;
    "system-out"?: string[];
    "system-err"?: string[];
};
export declare const parse: (xmlString: xml2js.convertableToString) => Promise<TestSuites>;
export declare const parseWithOptions: (xmlString: xml2js.convertableToString, options: xml2js.OptionsV2) => Promise<any>;
